Bug 1763812 - [RFE] Move the Remove VM button to the drop down menu when viewing details such as snapshots
Summary: [RFE] Move the Remove VM button to the drop down menu when viewing details su...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.4.1
: ---
Assignee: Steven Rosenberg
QA Contact: Qin Yuan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-21 16:23 UTC by amashah
Modified: 2020-09-23 16:11 UTC (History)
8 users (show)

Fixed In Version: rhv-4.4.1-4
Doc Type: Enhancement
Doc Text:
The current release moves the button to *Remove* a virtual machine to the "more" menu (three dots in the upper-right area). This was done to improve usability: Too many users pressed the *Remove* button, mistakenly believing it would remove a selected item in the details view, such as a snapshot. They did not realize it would delete the virtual machine. The new location should help users avoid this kind of mistake.
Clone Of:
Environment:
Last Closed: 2020-09-23 16:11:04 UTC
oVirt Team: Virt
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)
Templates view - remove buttons (30.32 KB, image/png)
2019-10-31 13:03 UTC, Sharon Gratch
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3807 0 None None None 2020-09-23 16:11:39 UTC
oVirt gerrit 109604 0 master MERGED WebAdmin: Move the Remove VM button to the menu 2020-09-24 07:18:51 UTC

Description amashah 2019-10-21 16:23:45 UTC
Description of problem:

When looking at "Snapshots" of a VM in the Admin Portal, it can be confusing to see the "Remove" option at the top of the screen that removes the VM itself. One might interpret the option as removing the snapshot (which has a separate Delete option a bit lower in the screen).

Version-Release number of selected component (if applicable):
4.3

Actual results:
The "Remove" option to remove the VM is present when looking at a list of snapshots.

Expected results:
The option to remove the VM be hidden when looking at a list of snapshots to avoid accidentally removing the VM instead of a snapshot.

Additional info:
Screenshot will be attached soon for reference.

Comment 2 Michal Skrivanek 2019-10-22 04:55:17 UTC
It looks to me as separated enough...Laura, thoughts?

Comment 3 Laura Wright 2019-10-22 05:31:56 UTC
This is a common issue in multiple different tabbed views in my opinion. I think actions like "Remove" should be added to the kebab menu since there are so many buttons surfaced already to the user and it's more of a secondary action.

Comment 4 Sharon Gratch 2019-10-31 13:03:25 UTC
Created attachment 1631041 [details]
Templates view - remove buttons

Comment 5 Sharon Gratch 2019-10-31 13:08:42 UTC
The issue is that there are other views without a kebab menu currently exists (no need since only few buttons) but still with "Remove" buttons duplication that might confuses the user, e.g. templates view - see https://bugzilla.redhat.com/attachment.cgi?id=1631041
So the question is if we solve the problem only for vms-snapshots or leave it as.

Comment 6 Laura Wright 2019-11-01 02:34:59 UTC
That's fine with me if it's a case by case fix.

Comment 10 Arik 2020-06-04 19:40:24 UTC
(In reply to Laura Wright from comment #3)
> This is a common issue in multiple different tabbed views in my opinion. I
> think actions like "Remove" should be added to the kebab menu since there
> are so many buttons surfaced already to the user and it's more of a
> secondary action.

+1
There's a confirmation dialog before removing the entity so it's unlikely that the user will accidentally remove a VM because of this.
But I agree with the above that remove-vm is a secondary action and if by moving it to the kebab menu we can also lower the chance of accidentally pressing the wrong button (even if this solution only applies to the VMs) - I think it worth doing it.

Comment 11 Qin Yuan 2020-06-30 07:28:34 UTC
Verified with:
ovirt-engine-4.4.1.5-0.17.el8ev.noarch

Steps:
1. Open Virtual Machines screen, check if Remove option is in kebab menu, but not displayed as a button besides Run button. 
2. Run a VM, check if the Remove option is disabled.
3. Shutdown a VM, check if the Remove option is enabled, and the VM can be deleted by it.

Results:
1. On Virtual Machines screen, the Remove option is in kebab menu, no Remove button besides Run button.
2. The Remove option in kebab menu is disabled when the VM is running.
3. The Remove option in kebab menu is enabled when the VM is down, and the VM can be deleted by it.

Comment 23 errata-xmlrpc 2020-09-23 16:11:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat Virtualization security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3807


Note You need to log in before you can comment on or make changes to this bug.